using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace AuctionTracker.Push
{
    public class PushClient 
    {
        private string _apiKey;
        private string _userKey;

        private HttpClient _client;
        public PushClient(string apiKey, string userKey)
        {
            _apiKey = apiKey;
            _userKey = userKey;
            _client = new HttpClient();
        }

        public async Task<string> SendNotification(string message, string sound)
        {
            Dictionary<string,string> values = new Dictionary<string, string>
            {
                {"token", _apiKey},
                {"user", _userKey},
                {"sound", sound},
                {"message", message},
            };
            FormUrlEncodedContent content = new FormUrlEncodedContent(values);
            HttpResponseMessage response = await _client.PostAsync("https://api.pushover.net/1/messages.json", content);
            return await response.Content.ReadAsStringAsync();
        }
    }
}