using System;
using System.Threading.Tasks;

namespace AuctionTracker
{
    public class RedisAuctionSnapshot
    {
        public long Gold {get;set;}
        public long Silver {get;set;}
        public long Copper {get;set;}
        public string Name {get;set;}

        public long Id {get;set;}
        private RedisAuctionSnapshot(BlizzSharp.Data.Auction auction, BlizzSharp.Data.Item item)
        {
            Gold = auction.Buyout / 10000;
            Silver = (auction.Buyout - (Gold*10000)) / 100;
            Copper = (auction.Buyout - (Gold*10000) - (Silver * 100));
            Name = item.Name;
            Id = auction.Id;
        }

        public static async Task<RedisAuctionSnapshot> FromAuctionClientAsync(BlizzSharp.Data.Auction auction, BlizzSharp.BlizzSharpClient client, string locale)
        {
            return new RedisAuctionSnapshot(auction, await client.GetItemInfoAsync(auction.Item, locale));
        }
    }

}